Index: examples/example_scripts/Makefile
===================================================================
--- examples/example_scripts/Makefile	(revision f3421a0173708466c5afae002a498e57e6dff1ff)
+++ examples/example_scripts/Makefile	(revision f3421a0173708466c5afae002a498e57e6dff1ff)
@@ -0,0 +1,30 @@
+
+DIRECTORY=c perl python
+
+.PHONY : runcheck clean 
+runcheck: $(DIRECTORY)
+
+clean:
+	@for i in $(DIRECTORY); do \
+	here=`pwd`; \
+	cd $$i; \
+	printf "\n ==> CLEANING on %s\n" "$$i"; \
+	make clean; \
+	cd $$here; \
+	done 
+	@rm -rf allout.tmp
+
+runcheck:
+	@echo 'running libabac SCRIPT testing...'
+	@for i in $(DIRECTORY); do \
+	here=`pwd`; \
+	cd $$i; \
+	printf "\n ==> RUN on %s\n" "$$i" >> ../allout.tmp ; \
+	./run_test 1 >> ../allout.tmp 2>& 1; \
+	cd $$here; \
+	done 
+	@if test `diff -q allout.save allout.tmp |wc -l ` -eq 0 ; \
+	then echo "   PASSED"; \
+	else echo "   ERROR:got changes!!!"; \
+	fi
+
Index: examples/python_tests/.runall
===================================================================
--- examples/python_tests/.runall	(revision 8de54abe23504c408c1f235f3ce743924ccb0e29)
+++ 	(revision )
@@ -1,28 +1,0 @@
-#!/bin/sh 
-
-# format,
-#   runall clean
-#   runall run
-
-progname=$(basename $0)
-pwd=`pwd`
-
-if [ $# -eq 0 ]; then
-    echo "Usage: $progname (clean|run)" >&2;
-    exit 1
-fi
-
-for i in `ls -1 `; do
-   if [ -d $i ]; then
-       cd $i
-       if [ "$1" = "clean" ]; then
-           rm -rf ../allout.tmp
-           printf "\n ==> CLEANING on %s\n" "$i" >& 2 ;
-           rm -rf *.der *.pem *.cn *.sha *.log
-       elif [ "$1" = "run" ] ; then
-           printf "\n ==> RUN on %s\n" "$i" >& 2;
-           ./run_test
-       fi 
-       cd $pwd
-   fi
-done
Index: examples/python_tests/Makefile
===================================================================
--- examples/python_tests/Makefile	(revision f3421a0173708466c5afae002a498e57e6dff1ff)
+++ examples/python_tests/Makefile	(revision f3421a0173708466c5afae002a498e57e6dff1ff)
@@ -0,0 +1,31 @@
+
+
+DIRECTORY= access_rt2 acme_friend_rt1 acme_rockets_intersection_rt0 acme_rockets_rt0 alice_rt1 alumni2_rt1 alumni3_rt1 alumni_rt1 balltime_rt2 basic_id evaluator_rt1 experiment_create_rt0 file_read_rt2 fruits_rt2 leader_rt1 payraise_rt1
+
+.PHONY : runcheck clean 
+runcheck: $(DIRECTORY)
+
+clean:
+	@for i in $(DIRECTORY); do \
+	here=`pwd`; \
+	printf "\n ==> CLEANING on %s\n" "$$i"; \
+	cd $$i; \
+	rm -rf *.der *.pem *.cn *.sha *.log; \
+	cd $$here; \
+	done 
+	@rm -rf allout.tmp;
+
+runcheck: 
+	@echo 'running libabac PYTHON testing...' 
+	@for i in $(DIRECTORY); do \
+	here=`pwd`; \
+	printf "\n ==> RUN on %s\n" "$$i" >> allout.tmp 2>&1; \
+	cd $$i; \
+	./run_test >> ../allout.tmp 2>&1; \
+	cd $$here; \
+	done
+	@if test `diff -q allout.save allout.tmp |wc -l ` -eq 0 ; \
+	then echo "   PASSED"; \
+	else echo "   ERROR:got changes!!!"; \
+	fi
+
Index: examples/python_tests/runcheck
===================================================================
--- examples/python_tests/runcheck	(revision 8de54abe23504c408c1f235f3ce743924ccb0e29)
+++ 	(revision )
@@ -1,18 +1,0 @@
-#!/bin/sh 
-
-rm -rf allout.tmp
-
-./.runall clean 1>/dev/null 2>&1
-
-echo '\n'
-echo 'running libabac PYTHON testing...'
-
-env ./.runall run 1> allout.tmp 2>& 1
-
-result=`diff allout.tmp allout.save`
-
-if [ "$result" = "" ]; then
-   echo "   PASSED"
-else
-   echo "   ERROR:got changes!!!"
-fi
Index: examples/scaling_tests/Makefile
===================================================================
--- examples/scaling_tests/Makefile	(revision f3421a0173708466c5afae002a498e57e6dff1ff)
+++ examples/scaling_tests/Makefile	(revision f3421a0173708466c5afae002a498e57e6dff1ff)
@@ -0,0 +1,38 @@
+
+
+DIRECTORY=daisychain haystack
+PLOT=haystack/fruit_python daisychain/likes_python
+
+.PHONY : runcheck clean plot check
+
+clean:
+	@for i in $(DIRECTORY); do \
+	here=`pwd`; \
+	cd $$i; \
+	make clean; \
+	cd $$here; \
+	done; 
+	rm -rf allout.tmp
+
+runcheck: 
+	@echo 'running libabac SCALING testing...'
+	@for i in $(DIRECTORY); do \
+	here=`pwd`; \
+	printf "\n ==> RUN on %s\n" "$$i" >> allout.tmp; \
+	cd $$i; \
+	make -s runcheck >> ../allout.tmp 2>/dev/null; \
+	cd $$here; \
+	done; 
+	@if test `diff -q allout.save allout.tmp |wc -l ` -eq 0 ; \
+	then echo "   PASSED"; \
+	else echo "   ERROR:got changes!!!"; \
+	fi
+
+plot:
+	@for i in $(PLOT); do \
+	here=`pwd`; \
+	cd $$i; \
+	make plot; \
+	cd $(here); \
+	done;
+
